summaryrefslogtreecommitdiff
path: root/app/openvpn/contrib
diff options
context:
space:
mode:
authorParménides GV <parmegv@sdf.org>2014-11-25 13:19:21 +0100
committerParménides GV <parmegv@sdf.org>2014-11-25 13:19:21 +0100
commit576b0c26baf9b5b1418650a572604325ca7fb3af (patch)
tree8b2986d66ed4e6bdf5a3253c81f32cc5a8e53b99 /app/openvpn/contrib
parentbbf877a099112acbf34589b01503c3f5ee135dc0 (diff)
parent48cd0f2fa3094b5a6b7b07d6413d77bdbc9bbc20 (diff)
Merge branch 'develop'0.8.0
Diffstat (limited to 'app/openvpn/contrib')
-rw-r--r--app/openvpn/contrib/OCSP_check/OCSP_check.sh13
1 files changed, 10 insertions, 3 deletions
diff --git a/app/openvpn/contrib/OCSP_check/OCSP_check.sh b/app/openvpn/contrib/OCSP_check/OCSP_check.sh
index 553c3dce..6876c6d8 100644
--- a/app/openvpn/contrib/OCSP_check/OCSP_check.sh
+++ b/app/openvpn/contrib/OCSP_check/OCSP_check.sh
@@ -97,12 +97,19 @@ if [ $check_depth -eq -1 ] || [ $cur_depth -eq $check_depth ]; then
"$nonce" \
-CAfile "$verify" \
-url "$ocsp_url" \
- -serial "${serial}" 2>/dev/null)
+ -serial "${serial}" 2>&1)
if [ $? -eq 0 ]; then
- # check that it's good
+ # check if ocsp didn't report any errors
+ if echo "$status" | grep -Eq "(error|fail)"; then
+ exit 1
+ fi
+ # check that the reported status of certificate is ok
if echo "$status" | grep -Fq "^${serial}: good"; then
- exit 0
+ # check if signature on the OCSP response verified correctly
+ if echo "$status" | grep -Fq "^Response verify OK"; then
+ exit 0
+ fi
fi
fi
fi